# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-10-18 18:46
from __future__ import unicode_literals

from django.db import migrations, models
import django_countries.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='License',
            fields=[
                ('id', models.IntegerField(default=1, primary_key=True, serialize=False)),
                ('pro', models.SmallIntegerField(default=0)),
                ('sn_file', models.FileField(upload_to='sn')),
                ('license_file', models.FileField(blank=True, null=True, upload_to='license')),
                ('country', django_countries.fields.CountryField(max_length=2, verbose_name='*Country')),
                ('city', models.CharField(max_length=100, verbose_name='City')),
                ('company_name', models.CharField(max_length=100, verbose_name='*Enterprise Name')),
                ('email_address', models.EmailField(max_length=254, verbose_name='*Email')),
                ('contacts', models.CharField(blank=True, max_length=100, null=True, verbose_name='Contacts')),
                ('address', models.CharField(blank=True, max_length=100, null=True, verbose_name='Address')),
                ('industry', models.CharField(blank=True, max_length=100, null=True, verbose_name='Industry')),
                ('expired_data', models.CharField(blank=True, max_length=500, null=True, verbose_name='Expired date')),
                ('device_limit', models.CharField(blank=True, max_length=500, null=True, verbose_name='Limit device')),
                ('employee_limit', models.CharField(blank=True, max_length=500, null=True, verbose_name='Limit employee')),
                ('last_activity', models.DateTimeField(blank=True, null=True, verbose_name='Last activity')),
                ('license_number_device', models.CharField(blank=True, max_length=100, null=True, verbose_name='Device license number')),
                ('license_number_employee', models.CharField(blank=True, max_length=100, null=True, verbose_name='Employee license number')),
            ],
            options={
                'verbose_name': 'license',
                'verbose_name_plural': 'license',
                'db_table': 'license',
            },
        ),
    ]
